Gofive OpenAPI
empeoVenio
eTaxGo
empeoVenio
eTaxGo
  1. Case Management
  • Introduction
  • Activity
    • Activities Enquiry
      POST
    • Get a Activity By Id
      GET
    • Get a Activity By No
      GET
    • Get Key Activities
      GET
    • Create or Update Activity
      POST
  • Authentication API
    • Authorization
      POST
  • Customer
    • Create or Update customer
      POST
    • Customer Search
      POST
    • Customers Enquiry
      POST
    • Get a Customer By CustomerId
      GET
    • Get a Customer By CustomerCode
      GET
    • Get a Customer By CustomerName
      GET
    • Get Customer By TaxID
      GET
    • Check Customer Existence
      POST
    • Create Customer Satisfaction
      POST
    • Add Customer Event
      POST
    • Get Customer Events by Customer Code
      GET
    • Edit Customer Event
      PUT
    • Delete Customer Event
      DELETE
    • Get Customer Event Types
      GET
    • Get file categories
      GET
    • Attach files category
      POST
  • Case
    • Add Case
    • Edit Case by CaseNo
    • Get Case by CaseNo
    • Get Case Categories
  • Case Management
    • Create Or Update Case
      POST
    • Case Enquiry
      POST
    • Get Case Categories
      GET
    • Get Case Stages
      GET
    • Get Case By CaseNo
      GET
  • Contract
    • Get Contract By No
    • Get Contract Types
    • Get Contract Templates
    • Create or Update Contract
    • Create or Update Contract Service Agreement
    • Send Contract Document
  • Conversation
    • Conversation Enquiry
  • Expense
    • Create Expense
    • Update Expense
    • Expense Enquiry
    • Get a Expense
  • Deal
    • Create Deal
    • Update Deal
    • Deal Enquiry
    • Get Deal
    • Get Deal Board
    • Get Deal Stage
    • Get Deal Interest
    • Get DealLabel
    • Get Deal Missed Reason Categories
  • Employee
    • Employees Enquiry
    • Get a Employee
  • Product
    • Create Or Update Products
    • Get a Product Ticket
    • Get Products With Take & Status
    • Get a Product by ProductCode
    • Get Product Groups
    • Get Product Properties
    • Get Products By Filter
    • Verify Serial Number
    • Check Serial Verification Status
    • Create or Update Codeguard Products
    • Update Product Stock
    • Get Units
  • Quotation
    • Create Update Quotation
    • Convert Quotation To SalesOrder
    • Quotation Enquiry
    • Get a Quotation By QuotationNo
    • Cancel Quotation
    • Get Pdf By QuotationNo
  • SalesOrder
    • Create Or Update SalesOrder
    • SalesOrder Enquiry
    • Get a SalesOrder By Id
    • Get a SalesOrder By No
    • Get Sale Order Attachment by Id
    • Get Sale Order Attachment By No
    • Reject SaleOrder
    • Approve Sale Order
    • Update SalesOrder Payment
    • Get Pdf By SalesOrderNo
    • Update SalesOrder Tracking Number
  • Webhooks
    • Webhook Payload
  • Task
    • Task Enquiry
    • CreateTask
  • Setting
    • Get HeaderTemplate
  • Chat
    • Post Send message
  • Storage
    • Upload files attachments
    • Get file attachments
    • Delete file attachments
  • Calendio
    • Create Venio Calendio Event
    • Edit Venio Calendio Event
    • Get Venio Calendio Events
    • Create empeo Calendio Event
    • Edit empeo Calendio Event
    • Get empeo Calendio Events
    • Get Venio Calendio Event by Id
    • Get empeo Calendio Event by Id
    • Create Appointment
    • Appointment Enquiry
    • Edit Appointment
    • Get Appointment By Id
    • Add Calendio Custom Field
    • Calendio Custom Field Enquiry
    • Get Calendio Custom Field by Id
    • Available slots Enquiry
    • Calendio Bookings Enquiry
    • Reschedule Calendio Booking time
    • Cancel Calendio Booking
  1. Case Management

Case Enquiry

Developing
POST
https://api.gofive.co.th/v2/cases/enquiry
ดึงชุดข้อมูลเคส โดยสามารถกรองเคสที่ต้องการได้

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples
{
  "dateRange": "custom",
  "from": "2026-06-01T00:00:00",
  "to": "2026-06-03T00:00:00",
  "categoryIds": [
    1,
    2
  ],
  "owners": [
    "ownerCode"
  ],
  "stageIds": [
    1,
    2
  ],
  "sources": [],
  "tags": [
    "tag1",
    "tag2"
  ],
  "search": null,
  "skip": 0,
  "take": 20,
  "sortField": "title",
  "sortOrder": "desc"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api.gofive.co.th/v2/cases/enquiry' \
--header 'Ocp-Apim-Subscription-Key: <Your Subscription-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "dateRange": "custom",
  "from": "2026-06-01T00:00:00",
  "to": "2026-06-03T00:00:00",
  "categoryIds": [
    1,
    2
  ],
  "owners": [
    "ownerCode"
  ],
  "stageIds": [
    1,
    2
  ],
  "sources": [],
  "tags": [
    "tag1",
    "tag2"
  ],
  "search": null,
  "skip": 0,
  "take": 20,
  "sortField": "title",
  "sortOrder": "desc"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "status": {
        "code": "1000",
        "description": "Success"
    },
    "data": {
        "total": 57,
        "hasMore": true,
        "rows": [
            {
                "caseNo": "CaseNo1",
                "subject": "Subject1",
                "description": "Description1",
                "categoryId": 1,
                "stageId": 1,
                "customerCode": "CustomerCode1",
                "source": "1",
                "sourceName": "อีเมล",
                "dateCase": "2026-06-01T09:00:00Z",
                "dateDue": "2026-06-01T17:00:00Z",
                "caseTag": [
                    "CaseTag1"
                ],
                "activityNo": [
                    "ActivityNo1"
                ],
                "dealNo": [
                    "DealNo1"
                ],
                "chatId": "ChatId1",
                "sla": {
                    "cycleStartedAt": "2026-06-01T09:00:05Z",
                    "firstReplyAt": null,
                    "reopenCount": 0,
                    "firstResponse": {
                        "targetMs": 1800000,
                        "elapsedMs": null,
                        "breached": false
                    },
                    "resolution": {
                        "targetMs": 86400000,
                        "elapsedMs": null,
                        "breached": false
                    }
                },
                "owner": "StaffCode1",
                "participants": [
                    "StaffCode2"
                ]
            },
            {
                "caseNo": "CaseNo2",
                "subject": "Subject2",
                "description": null,
                "categoryId": 1,
                "stageId": 1,
                "customerCode": null,
                "source": "1",
                "sourceName": "อีเมล",
                "dateCase": "2026-06-01T09:00:00Z",
                "dateDue": "2026-06-01T17:00:00Z",
                "caseTag": [],
                "activityNo": [],
                "dealNo": [],
                "chatId": null,
                "sla": {
                    "cycleStartedAt": "2026-06-01T09:00:05Z",
                    "firstReplyAt": null,
                    "reopenCount": 0,
                    "firstResponse": {
                        "targetMs": 1800000,
                        "elapsedMs": null,
                        "breached": false
                    },
                    "resolution": {
                        "targetMs": 86400000,
                        "elapsedMs": null,
                        "breached": false
                    }
                },
                "owner": "StaffCode2",
                "participants": []
            }
        ]
    }
}
🟠400Owner StaffCode Not Found
🟢200User authentication required V2.
🟠403Forbidden
🔴5XXServer Error
Modified at 2026-07-02 14:38:08
Previous
Create Or Update Case
Next
Get Case Categories
Built with